from openpyxl import Workbook
wb = Workbook()
ws = wb.active
ws.title = "bebeSheet"

#엑셀 셀에 접근해서 데이터를 입력하고 가져와서 출력하고 이후 반복문을 이용해서 여러셀에 한번에 입력하는 방법
# A1~A2 셀에 값을 입력
ws["A1"] = 1
ws["A2"] = 2
ws["A3"] = 3

# B1~B2 셀에 값을 입력
ws["B1"] = 4
ws["B2"] = 5
ws["B3"] = 6

#######셀 값 출력#####
print(ws["A1"]) #A1 셀의 객체 정보를 출력
print(ws["A1"].value) #A1 셀의 값을 출력
print(ws["A5"].value) #A5 값은 없으니 none 출력됩

#row = 1, 2, 3 ..
#column = A(1), B(2), C(3) ...
print(ws.cell(column=1,row=1).value) # print(ws["A1"].value) 동일
print(ws.cell(column=2,row=1).value) # print(ws["B1"].value) 동일

c = ws.cell(column=3,row=1, value=10 ) #C1셀에 숫자 10을 입력하여 C 변수에 넣음
print(c.value) # ws["C1"].value 와 동일


#반복문(for)을 이용한 엑셀시트 랜덤숫자 채우기
from random import * # 최상단에 선언

for x in range(1,11): #10개 column
    for y in range(1,11): #10개 row
        ws.cell(row=x, column=y, value=randint(0,100)) #0~100 사이의 숫자 랜덤

wb.save("test.xlsx")